Add meeting attendees
curl --request POST \
--url https://julian.11x.ai/api/v1/conversations/meetings/{entityId}/attendees \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"attendees": [
{
"email": "[email protected]",
"name": "Jane Doe",
"timeZone": "America/New_York",
"phoneNumber": "+15555550123",
"language": "en"
}
]
}
'import requests
url = "https://julian.11x.ai/api/v1/conversations/meetings/{entityId}/attendees"
payload = { "attendees": [
{
"email": "[email protected]",
"name": "Jane Doe",
"timeZone": "America/New_York",
"phoneNumber": "+15555550123",
"language": "en"
}
] }
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
attendees: [
{
email: '[email protected]',
name: 'Jane Doe',
timeZone: 'America/New_York',
phoneNumber: '+15555550123',
language: 'en'
}
]
})
};
fetch('https://julian.11x.ai/api/v1/conversations/meetings/{entityId}/attendees', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"entityId": "call.abc123",
"bookingUid": "<string>",
"attendees": [
{
"email": "[email protected]",
"name": "Jane Doe",
"timeZone": "America/New_York",
"phoneNumber": "+15555550123"
}
]
}Conversation Meetings
Add meeting attendees
Add one or more attendees to the meeting, then return the full reconciled attendee list fetched from the calendar provider after the additions are applied (not just the attendees from the request). Attendees can only be added while the meeting has not yet started.
POST
/
conversations
/
meetings
/
{entityId}
/
attendees
Add meeting attendees
curl --request POST \
--url https://julian.11x.ai/api/v1/conversations/meetings/{entityId}/attendees \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"attendees": [
{
"email": "[email protected]",
"name": "Jane Doe",
"timeZone": "America/New_York",
"phoneNumber": "+15555550123",
"language": "en"
}
]
}
'import requests
url = "https://julian.11x.ai/api/v1/conversations/meetings/{entityId}/attendees"
payload = { "attendees": [
{
"email": "[email protected]",
"name": "Jane Doe",
"timeZone": "America/New_York",
"phoneNumber": "+15555550123",
"language": "en"
}
] }
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
attendees: [
{
email: '[email protected]',
name: 'Jane Doe',
timeZone: 'America/New_York',
phoneNumber: '+15555550123',
language: 'en'
}
]
})
};
fetch('https://julian.11x.ai/api/v1/conversations/meetings/{entityId}/attendees', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"entityId": "call.abc123",
"bookingUid": "<string>",
"attendees": [
{
"email": "[email protected]",
"name": "Jane Doe",
"timeZone": "America/New_York",
"phoneNumber": "+15555550123"
}
]
}Authorizations
Organization API key. Get it from the 11x team or from the platform.
Path Parameters
ID of the conversation whose meeting you want to manage. Voice calls use the call prefix followed by the call ID, e.g. call.abc123.
Body
application/json
Attendees to add (1–30 per request).
Required array length:
1 - 30 elementsShow child attributes
Show child attributes